From: Boyuan Yang <byang@debian.org>
Date: Mon, 16 Aug 2021 12:10:37 -0400
Subject: Convert to autoconf

---
 Makefile.am     | 11 +++++++++++
 configure.ac    | 33 +++++++++++++++++++++++++++++++++
 m4/.placeholder |  0
 3 files changed, 44 insertions(+)
 create mode 100644 Makefile.am
 create mode 100644 configure.ac
 create mode 100644 m4/.placeholder

diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..5fb764d
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,11 @@
+ACLOCAL_AMFLAGS = -I m4
+
+sbin_PROGRAMS = latencytop
+
+latencytop_CFLAGS = -DHAS_GTK_GUI
+latencytop_CFLAGS += $(GLIB_CFLAGS) $(GTK2_CFLAGS)
+latencytop_SOURCES = latencytop.c text_display.c translate.c fsync.c gtk_display.c
+latencytop_LDADD = $(GLIB_LIBS) $(GTK2_LIBS)
+
+latencytopdatadir = $(datadir)/latencytop
+latencytopdata_DATA = latencytop.trans global.png kernel_thread.png user_process.png
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..96063a1
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,33 @@
+#                                               -*- Autoconf -*-
+# Process this file with autoconf to produce a configure script.
+
+AC_PREREQ([2.69])
+AC_INIT([latencytop], [0.5], [http://www.latencytop.org/])
+AC_CONFIG_SRCDIR([gtk_display.c])
+AC_CONFIG_HEADERS([config.h])
+AC_CONFIG_AUX_DIR([build-aux])
+
+AM_INIT_AUTOMAKE([foreign])
+
+# Checks for programs.
+AC_PROG_CC
+AC_PROG_INSTALL
+
+# Checks for libraries.
+AC_CHECK_LIB([ncursesw], [initscr])
+
+PKG_CHECK_MODULES([GLIB], [glib-2.0])
+PKG_CHECK_MODULES([GTK2], [gtk+-2.0])
+
+# Checks for header files.
+AC_CHECK_HEADERS([stdlib.h string.h sys/time.h unistd.h wchar.h])
+
+# Checks for typedefs, structures, and compiler characteristics.
+AC_TYPE_SIZE_T
+
+# Checks for library functions.
+AC_FUNC_MALLOC
+AC_CHECK_FUNCS([atexit gettimeofday memset select strchr strdup strstr strtoull])
+
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
diff --git a/m4/.placeholder b/m4/.placeholder
new file mode 100644
index 0000000..e69de29
